Update bank account
Updates the specified bank account.
Path Parameters
- Type: stringbusiness
_id requiredUnique identifier for the business.
- Type: stringbank
_account _id requiredUnique identifier for the bank account.
Body·
required
application/json
- Type: stringaccount
_number - Type: "checking" or "savings"enumaccount
_type - Type: stringbank
_name - Type: stringrouting
_number - Properties: 1Type: object | nulluser
_data
Responses
- application/json
Request Example for post/businesses/{business_id}/bank_accounts/{bank_account_id}
curl 'https://api.treasurefinancial.com/v1/businesses/{business_id}/bank_accounts/{bank_account_id}' \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"account_number": "1234567890",
"account_type": "checking",
"bank_name": "Chase",
"routing_number": "123456789",
"user_data": null
}'
{
"id": "string",
"account_number": "1234567890",
"account_type": "checking",
"bank_name": "Chase",
"routing_number": "123456789",
"user_data": {
"additionalProperty": "anything"
},
"created_at": "2022-01-01T00:00:00.000Z",
"updated_at": "2022-01-01T00:00:00.000Z"
}